package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrSafetyBreath;

/**
 * 安全设施-呼吸阀Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrSafetyBreathMapper
{
    /**
     * 查询安全设施-呼吸阀
     *
     * @param id 安全设施-呼吸阀ID
     * @return 安全设施-呼吸阀
     */
    public TPssrSafetyBreath selectTPssrSafetyBreathById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询安全设施-呼吸阀列表
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 安全设施-呼吸阀集合
     */
    
    public List<TPssrSafetyBreath> selectTPssrSafetyBreathList(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 新增安全设施-呼吸阀
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    public int insertTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 修改安全设施-呼吸阀
     *
     * @param tPssrSafetyBreath 安全设施-呼吸阀
     * @return 结果
     */
    public int updateTPssrSafetyBreath(TPssrSafetyBreath tPssrSafetyBreath);
    public int updateTPssrSafetyBreathByIds(TPssrSafetyBreath tPssrSafetyBreath);


    public int updateAllBySubId(TPssrSafetyBreath tPssrSafetyBreath);

    /**
     * 删除安全设施-呼吸阀
     *
     * @param id 安全设施-呼吸阀ID
     * @return 结果
     */
    public int deleteTPssrSafetyBreathById(Long id);

    /**
     * 批量删除安全设施-呼吸阀
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrSafetyBreathByIds(Long[] ids);
}
